$chat-background: #323e54;
$chat-background-second: #1e293f;
$chat-container-width: 300px;
$chat-subtext-color: #526790;
.chat {
  &_body {
    width: $chat-container-width;
    margin: auto;
  }
}

/*.chat {
  &_subtitle {
    text-align: center;
    background-color: $chat-background;
    color: #545f76;
    padding: $paddingMini 0px;
  }
  &_subheader {
    display: flex;
    justify-content: center;
    margin: $marginDefault;
    &-date {
      background-color: $chat-background;
      border-radius: 6px;
      color: $chat-subtext-color;
      padding: $paddingMini / 2 $paddingMedium;
    }
  }
  &_body {
    width: $chat-container-width;
    margin: auto;
  }
  &_item {
    display: flex;
    width: 100%;
    margin-bottom: $marginMini;
    &-support {
      .chat_item {
        &-triangle {
          position: relative;
          width: 20px;
          overflow: hidden;
          &:before {
            content: '';
            position: absolute;
            left: 14px;
            top: -6px;
            width: 15px;
            height: 20px;
            background-color: rgb(54, 67, 92);
            transform: rotate(145deg);
          }
        }
        &-message {
          border-radius: 0px 10px 10px 10px;
          background-color: rgb(54, 67, 92);
        }
        &-time {
          text-align: right;
        }
      }
    }
    &-me {
      .chat_item {
        &-triangle {
          position: relative;
          width: 20px;
          overflow: hidden;
          &:before {
            content: '';
            position: absolute;
            right: 11px;
            top: -6px;
            width: 15px;
            height: 20px;
            background-color: $chat-background-second;
            transform: rotate(45deg);
          }
        }
        &-message {
          border-radius: 10px 0px 10px 10px;
          background-color: $chat-background-second;
        }
        &-time {
          text-align: left;
        }
        &-avatar {
          &-img {
            background-color: $chat-background-second;
            img {
              width: 50%;
            }
          }
        }
      }
    }
    &-avatar {
      &-img {
        min-width: 45px;
        min-height: 45px;
        max-width: 45px;
        border-radius: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
      }
      &-name {
        margin-top: $marginMini/2;
        font-size: .625rem;
        color: rgb(84, 95, 118);
        text-align: center;
      }
    }
    &-message {
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex: 1;
      padding: 0px $paddingDefault;
      height: 100%;
      min-height: 45px;
      font-size: .875rem;
    }
    &-text {
      color: rgb(255, 255, 255);
    }
    &-time {
      color: #4b5f84;
      max-width: 40px;
    }
  }
  &_footer {
    padding: $paddingDefault 0px;
    background-color: $chat-background-second;
    position: fixed;
    left: 0px;
    right: 0px;
    bottom: 0px;
    &-container {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: $chat-container-width;
      margin: auto;
    }
    &-form {
      &-wrapper {
        flex: 1;
        height: 40px;
        border: none;
        width: 100%;
        position: relative;
      }
      &-label {
        position: absolute;
        left: 0px;
        top: 0px;
        padding-left: $paddingMini;
        padding-right: $paddingMini;
        width: 100%;
        color: #3a4861;
        height: 100%;
        font-size: .875rem;
        display: flex;
        align-items: center;
      }
      &-input {
        width: 100%;
        height: 100%;
        border: 0px;
        padding: $paddingMini/2 $paddingMini;
        font-size: .875rem;
        color: #3a4861;
        background-color: transparent;
      }
    }
    &-btn {
      width: 30px;
      height: 30px;
      padding: $paddingMini/2;
      margin-left: $marginDefault;
      display: flex;
      align-items: center;
      justify-content: center;
      border: none;
      background-color: transparent;
      &-icon {
        width: 100%;
        height: 100%;
      }
    }
  }
}*/

.zammad {
  &-chat {
    color: black;
    position: fixed;
    right: 0px;
    bottom: 0;
    font-size: 12px;
    width: 33em;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.3);
    border-radius: 5px 5px 0 0;
    will-change: bottom;
    /*display: none;*/
    -ms-flex-direction: column;
    flex-direction: column;
    z-index: 999;
    @media screen and (max-width: 768px) {
      right: 0;
      width: 100%;
      font-size: 16px;
    }
    &-controls {
      background-color: $chat-background-second;
      overflow: hidden;
      display: none;
      -ms-flex-align: end;
      align-items: center;
      padding: 0;
      margin: 0;
      line-height: 1.4em;
      position: relative;
    }
    &-input {
      color: #738097;
      margin: 0;
      padding: 1em 2em;
      float: left;
      max-height: 6em;
      min-height: 1.4em;
      font-family: inherit;
      line-height: 1.4em;
      font-size: inherit;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      border: none;
      background: none;
      box-shadow: none;
      box-sizing: content-box;
      outline: none;
      -ms-flex: 1;
      flex: 1;
      overflow: auto;
      -webkit-user-select: text;
      user-select: text;
      &::placeholder {
        color: red;
      }
      &.disabled {
        display: none;
        & + .zammad-chat-new {
          display: block;
        }
      }
    }
    &-new {
      display: none;
      padding: 1em 2em;
      max-height: 6em;
      min-height: 1.4em;
      background-color: transparent;
      border: none;
      line-height: 1.4em;
      color: #738097;
      margin: auto;
    }
    &-button {
      border: none;
      background-color: transparent;
      &[disabled] {
        display: none;
      }
    }
    &-status {
      text-align: center;
      max-width: 130px;
      margin: 1em auto;
      display: flex;
      &-inner {
        padding: $paddingMini;
        background-color: $chat-background;
        border-radius: 6px;
        color: $chat-subtext-color;
        display: flex;
      }
    }
    &-body {
      overflow: auto;
      background-color: #2a354a;
      max-width: 300px;
      width: 100%;
      margin: auto;
      @media screen and (max-width: 768px) {
        height: auto;
        flex: 1;
      }
    }
    &.zammad-chat {
      &-is-loaded {
        display: none;
      }
      &-is-open {
        height: calc(100% - 114px);
        display: flex;
        .zammad-chat-controls {
          display: flex;
        }
      }
      &-is-shown {
        opacity: 1;
      }
    }
    &-header {
      background-color: $chat-background;
      border: 0px;
    }
    &-agent {
      color: #545f76;
      text-align: center;
      &-name {
        font-weight: normal;
      }
      &-avatar {
        display: none;
      }
    }
    &-header {
      padding: $paddingMini 0px;
      &-controls {
        display: none;
      }
    }
    &-timestamp {
      background-color: $chat-background;
      border-radius: 6px;
      color: $chat-subtext-color;
      padding: $paddingMini / 2 $paddingMedium;
      width: 100%;
      max-width: 130px;
      margin: 1em auto;
      display: flex;
      strong {
        padding-right: $paddingMini / 2;
      }
    }
    &-message {
      margin: $marginDefault / 2 0px;
      display: flex;
      &--typing {
        .zammad-chat-message-body {
          white-space: normal;
        }
        .zammad-chat-loading-circle {
          background-color: #d9d9d9;
        }
      }
      &-avatar {
        &-img {
          min-width: 45px;
          min-height: 45px;
          max-width: 45px;
          border-radius: 10px;
          display: flex;
          justify-content: center;
          align-items: center;
          overflow: hidden;
        }
        &-name {
          margin-top: $marginMini/2;
          font-size: .625rem;
          color: rgb(84, 95, 118);
          text-align: center;
          max-width: 45px;
        }
      }
      &-body {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex: 1;
        padding: $paddingDefault;
        height: 100%;
        min-height: 45px;
        font-size: .875rem;
        color: #ffffff;
        font-weight: normal;
        white-space: pre-line;
        word-wrap: break-word;
        border-radius: 1em;
        flex-wrap: wrap;
        overflow: auto;
      }
      &--agent {
        .zammad-chat-message {
          &-body {
            border-radius: 0px 10px 10px 10px;
            display: flex;
            background-color: rgb(54, 67, 92);
          }
          &-triangle {
            position: relative;
            width: 20px;
            overflow: hidden;
            &:before {
              content: '';
              position: absolute;
              left: 14px;
              top: -6px;
              width: 15px;
              height: 20px;
              background-color: rgb(54, 67, 92);
              transform: rotate(145deg);
            }
          }
          &-message {
            border-radius: 0px 10px 10px 10px;
            background-color: rgb(54, 67, 92);
          }
          &-time {
            text-align: right;
          }
          &-avatar {
            &-img {
              background-color: $chat-background-second;
              img {
                width: 100%;
              }
            }
          }
        }
        & + {
          .zammad-chat-message--customer {
            margin-top: $marginDefault;
          }
        }
      }
      &--customer {
        .zammad-chat-message {
          &-body {
            border-radius: 10px 0px 10px 10px;
            display: flex;
            justify-content: flex-end;
            background-color: $chat-background-second;
          }
          &-triangle {
            position: relative;
            width: 20px;
            overflow: hidden;
            &:before {
              content: '';
              position: absolute;
              right: 11px;
              top: -6px;
              width: 15px;
              height: 20px;
              background-color: $chat-background-second;
              transform: rotate(45deg);
            }
          }
          &-message {
            border-radius: 10px 0px 10px 10px;
            background-color: $chat-background-second;
          }
          &-time {
            text-align: left;
          }
          &-avatar {
            &-img {
              background-color: $chat-background-second;
              img {
                width: 50%;
              }
            }
          }
        }
      }
    }
    &-modal {
      position: absolute;
      left: 0;
      right: 0;
      bottom: 0;
      top: 0;
      margin-top: 1px;
      text-align: center;
      background-color: #2a354a;
      color: $chat-subtext-color;
      z-index: 1;
      padding: 20px;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
      align-items: center;
      -ms-flex-pack: center;
      justify-content: center;
      &:empty {
        display: none;
      }
      &-text {
        font-size: 1.3em;
        line-height: 1.45;
        .zammad-chat-loading-animation {
          font-size: 0.7em;
        }
      }
    }
    &-loading {
      &-animation {
        margin-right: 8px;
        vertical-align: middle;
        display: inline-block;
      }
      &-circle {
        background: #36435c;
        border-radius: 100%;
        height: 0.55em;
        width: 0.55em;
        display: inline-block;
        animation: ease-in-out load-fade 600ms infinite alternate;
        & + .zammad-chat-loading-circle {
          animation-delay: .13s;
          & + .zammad-chat-loading-circle {
            animation-delay: .26s;
          }
        }
      }
    }
    &-welcome {
      color: #ffffff;
      display: flex;
      justify-content: center;
      align-items: center;
      svg {
        fill: #ffffff;
      }
      &-text {
        margin-left: $marginMini;
      }
    }
    &-is {
      &-hidden {
        display: none;
      }
    }
    &-send {
      width: 50px;
      height: 40px;
      padding: $paddingMini $paddingDefault;
      img {
        max-width: 100%;
        max-height: 100%;
      }
    }
  }
  &-scroll {
    &-hint {
      background: #43516c;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
      justify-content: center;
      align-items: center;
      padding: 7px 10px 6px;
      color: #526897;
      svg {
        display: none;
      }
      &.is-hidden {
        display: none;
      }
    }
  }
}

@keyframes load-fade {
  from {
    opacity: .5;
    transform: scale(0.6);
  }
  67% {
    opacity: 1;
    transform: scale(1);
  }
}
